## WDS Set LTE Attach PDN List indication WDS Set LTE Attach PDN List indication |

## Functions

QmiIndicationWdsSetLteAttachPdnListOutput * | qmi_indication_wds_set_lte_attach_pdn_list_output_ref ()
void | qmi_indication_wds_set_lte_attach_pdn_list_output_unref ()
gboolean | qmi_indication_wds_set_lte_attach_pdn_list_output_get_result ()
gboolean | qmi_indication_wds_set_lte_attach_pdn_list_output_get_action_result ()

## Types and Values

| QmiIndicationWdsSetLteAttachPdnListOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationWdsSetLteAttachPdnListOutput

## Description

## Functions

### qmi_indication_wds_set_lte_attach_pdn_list_output_ref ()

    QmiIndicationWdsSetLteAttachPdnListOutput *
    qmi_indication_wds_set_lte_attach_pdn_list_output_ref
                                   (QmiIndicationWdsSetLteAttachPdnListOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationWdsSetLteAttachPdnListOutput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_indication_wds_set_lte_attach_pdn_list_output_unref ()

    void
    qmi_indication_wds_set_lte_attach_pdn_list_output_unref
                                   (QmiIndicationWdsSetLteAttachPdnListOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationWdsSetLteAttachPdnListOutput. |

Since: 1.28

### qmi_indication_wds_set_lte_attach_pdn_list_output_get_result ()

    gboolean
    qmi_indication_wds_set_lte_attach_pdn_list_output_get_result
                                   (QmiIndicationWdsSetLteAttachPdnListOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiIndicationWdsSetLteAttachPdnListOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.28

### qmi_indication_wds_set_lte_attach_pdn_list_output_get_action_result ()

    gboolean
    qmi_indication_wds_set_lte_attach_pdn_list_output_get_action_result
                                   (QmiIndicationWdsSetLteAttachPdnListOutput *self,
                                    gboolean *value_action_result,
                                    GError **error);

Get the 'Action Result' field from `self` .

#### Parameters

self | a QmiIndicationWdsSetLteAttachPdnListOutput. |
value_action_result | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

## Types and Values

### QmiIndicationWdsSetLteAttachPdnListOutput

    typedef struct _QmiIndicationWdsSetLteAttachPdnListOutput QmiIndicationWdsSetLteAttachPdnListOutput;

The QmiIndicationWdsSetLteAttachPdnListOutput structure contains private data and should only be accessed using the provided API.

Since: 1.28